Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class Due

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.DateProperty
                  net.fortuna.ical4j.model.property.Due

All Implemented Interfaces:
  Serializable

    public class Due

extends DateProperty

Defines a DUE iCalendar component property.

         4.8.2.3 Date/Time Due

            Property Name: DUE

            Purpose: This property defines the date and time that a to-do is
            expected to be completed.

            Value Type: The default value type is DATE-TIME. The value type can
            be set to a DATE value type.

            Property Parameters: Non-standard, value data type, time zone
            identifier property parameters can be specified on this property.

            Conformance: The property can be specified once in a "VTODO" calendar
            component.

            Description: The value MUST be a date/time equal to or after the
            DTSTART value, if specified.

            Format Definition: The property is defined by the following notation:

              due        = "DUE" dueparam":" dueval CRLF

              dueparam   = *(
                         ; the following are optional,
                         ; but MUST NOT occur more than once

                         (";" "VALUE" "=" ("DATE-TIME" / "DATE")) /
                         (";" tzidparam) /

                         ; the following is optional,
                         ; and MAY occur more than once

                           *(";" xparam)

                         )

              dueval     = date-time / date
              ;Value MUST match value type

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.property.DateProperty
`timezone`

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`Due()` Default constructor.
`Due(Date aDate)` Constructor.
`Due(ParameterList aList, Date aDate)` Constructor.
`Due(ParameterList aList, String aValue)`
`Due(String value)` Creates a new instance initialised with the parsed value.
`Due(String value, TimeZone timezone)` Creates a new DUE property initialised with the specified timezone and value.
`Due(TimeZone timezone)` Creates a new DUE property initialised with the specified timezone.

Method Summary
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.property.DateProperty
`getDate, getValue, isUtc, setDate, setTimeZone, setUtc, setValue`

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Due

    public Due()

  Default constructor. The time value is initialised to the time of instantiation.

### Due

    public Due(TimeZone timezone)

  Creates a new DUE property initialised with the specified timezone.

  Parameters:
    `timezone` - initial timezone

### Due

    public Due(String value)
        throws ParseException

  Creates a new instance initialised with the parsed value.

  Parameters:
    `value` - the DUE value string to parse
  Throws:
    `ParseException` - where the specified string is not a valid DUE value representation

### Due

    public Due(String value,
               TimeZone timezone)
        throws ParseException

  Creates a new DUE property initialised with the specified timezone and value.

  Parameters:
    `value` - a string representation of a DUE value
    `timezone` - initial timezone
  Throws:
    `ParseException` - where the specified value is not a valid string representation

### Due

    public Due(ParameterList aList,
               String aValue)
        throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - when the specified string is not a valid date/date-time representation

### Due

    public Due(Date aDate)

  Constructor. Date or Date-Time format is determined based on the presence of a VALUE parameter.

  Parameters:
    `aDate` - a date

### Due

    public Due(ParameterList aList,
               Date aDate)

  Constructor. Date or Date-Time format is determined based on the presence of a VALUE parameter.

  Parameters:
    `aList` - a list of parameters for this component
    `aDate` - a date

Method Detail

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Overrides:
    `validate` in class `DateProperty`
  Throws:
    `ValidationException` - where the property is not in a valid state
  See Also:
    `Property.validate()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.